<!--

 Licensed Materials - Property of IBM
 
 		5724-I66
 
 (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 
 Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 
 DISCLAIMER:
 The following [enclosed] code is sample code created by IBM
 Corporation. This sample code is not part of any standard IBM product
 and is provided to you solely for the purpose of assisting you in the
 development of your applications. The code is provided 'AS IS',
 without warranty of any kind IBM shall not be liable for any damages
 arising out of your use of sample code, even if they have been
 advised of the possibility of such damages.
 
-->

<!--
    1) This JSP takes the loan application information entered on index.jsp,
       and passes it to bean.IndexBean's submitLoanApplication() method.
   
    2) The bean.IndexBean's submitLoanApplication(double loanAmount, String taxPayerId, String name,String email) method  :
   
        i) obtains a java interface representation of LoanApplicationModule's stand-alone reference named "mainProcessInterfacePartner".
           (You can view the details of this stand-alone reference by opening LoanApplicationModule's assembly
            diagram, selecting the "Stand-alone References" component, expanding the "References" tree on the
            Details tab of the Properties view, and selecting References->mainProcessInterfacePartner.)
       ii) creates some input SDO objects (java representation of WID business objects)
      iii) sets the attributes of these input SDO objects using the loan application information
           specified by the user on index.jsp
       iv) calls the java interface's applyOnline operation using the input SDO objects
        v) returns a string message indicating whether the loan is approved or under review.
   

    3) The response message is then displayed 

-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>

<jsp:useBean id="indexBean" scope="session" class="bean.IndexBean" />

<%
        // Gets the name variable and assigns it to name
		String name = request.getParameter("name");

		// Gets the email variable and assigns it to email
		String email = request.getParameter("email");
		
		// Gets the sin variable and assigns it to sinno
		String sinno = request.getParameter("sin");
		
		// Gets the loanAmt variable and assigns it to loanAmount
		String loanAmount = request.getParameter("loanAmt");

		// converts loanAmount string to double
        double loanAmountDouble = 0.0;		
        try {
		    loanAmountDouble = Double.valueOf(loanAmount).doubleValue();
        }
        catch(Exception e) {
           //user entered invalid loan amount, so default is provided instead.
           loanAmountDouble = 40000.00;
           loanAmount = "" + loanAmountDouble;
        }
        
		//'submitLoanApplication' method processes loan application info and returns a message
		String results = indexBean.submitLoanApplication(loanAmountDouble, sinno, name, email);
%>

<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href="theme/Master.css" rel="stylesheet" type="text/css">
<TITLE>result.jsp</TITLE>
</HEAD>
<BODY>
<table border="1" width="500" align="center">
	<tr>
		<td align="center">
		<h1>Your Bank Loan Application</h1>
		</td>
	</tr>
</table>
<br>
<br>
<table border="0" width="500" align="center">
	<tr align="center">
		<td><b>Hello <%=name%>,<br>
		<br>

		You have applied for a $<%=loanAmount%> loan. <br>
		<br>
		</b> <font color='red' size='4'><b><%=results%></b></font></td>
	</tr>
</table>
</BODY>
</HTML>
